<template>
  <b-navbar-item tag="router-link"
                 :to="{ path }">
    <b-icon :icon="icon"
            size="is-large">
    </b-icon>
    <span class="is-uppercase">{{ label && label() || $t(labelKey) }}</span>
  </b-navbar-item>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';

@Component
export default class MenuItem extends Vue {
  @Prop(Function) readonly label: () => string;
  @Prop(String) readonly labelKey: string;
  @Prop(String) readonly icon: string;
  @Prop(String) readonly path: string;
}
</script>

<style lang="scss" scoped>
.navbar-item {
  flex-direction: column;
  width: 135px;
  color: $primary;
}
</style>
